FROM node:latest
# Copy and build server
COPY frontends/customer-client /home/craft/customer-client
WORKDIR /home/craft/
RUN cd customer-client \
    && npm install \
    && npm run build

FROM nginx:latest
COPY --from=0 /home/craft/customer-client/dist/customer-client /var/www/html
COPY frontends/customer-client/docker/nginx.conf /etc/nginx/conf.d/default.conf